﻿* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --deep-dark: rgb(26, 26, 26);
    --light-dark: rgb(79, 82, 92);
    --light-blue: rgb(0, 132, 255);
    --dark-blue: rgb(2, 84, 161);
    --light: rgb(245, 245, 245);
}

body {
    display: flex;
    justify-content: center;
    font-family: 'Montserrat', sans-serif;
    background-color: var(--light);
}

h1 {
    color: var(--light);
    text-transform: uppercase;
}

.fas {
	pointer-events: none;
}

.container {
    position: absolute;

    top: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 100%;
    width: 50vw;
}

.todo {
    position: relative;
    display: flex;
    flex-direction: column;

    min-height: 80vh;
    border-radius: 5px;
    background: #fff;
    box-shadow: 4px 4px 5px rgba(82, 82, 82, .4);
    text-align: center;
}

.emptyDiv {
    height: 10vh;
    width: 50vw;
}

.footer {
    height: 10vh;
    width: 50vw;

    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.footer span {
    margin-bottom: 10px;
}

.header {
    border-radius: 5px 5px 0 0;
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
	background-size: 400% 400%;
	animation: gradient 15s ease infinite;


    position: relative;
    height: 200px;

    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

.todo-input {
    width: 80%;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    color: var(--light-dark);
    background-color: var(--light);
}

.error-info {
    margin-top: 20px;
    color: var(--dark-blue);
}

.btn-add {
    padding: 10px 22px;
    border: none;
    border-radius: 5px;
    color: var(--deep-dark);
    background-color: var(--light);
    text-transform: uppercase;
    cursor: pointer;
    transition: color .3s, background-color .3s;
}

.btn-add:hover {
    color: #fff;
    background-color: var(--light-dark);
}

.todolist {
    padding: 20px 0;
    position: relative;
    height: 50%;
}

.todolist h3 {
    text-transform: uppercase;
    margin-bottom: 16px;
}

.todolist li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 15px;
    padding-left: 20px;
    text-align: left;
    list-style: none;
    background-color: var(--light);
}

.tools {
    display: inline-block;
}

.tools button {
    padding: 15px 10px;
    border: none;
    background-color: transparent;
    cursor: pointer;
    transition: background-color .3s;
}

.tools button:hover {
    background-color: #ddd;
}

.complete {
    color: var(--light-blue);
}

.edit {
    color: rgb(15, 179, 69);
}

.delete {
    color: tomato;
}

.completed {
    color: var(--light-dark);
    text-decoration: line-through;
}

.popup-screen {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    height: 100vh;
    width: 100%;

    background-color:rgba(0, 0, 0, 0.7);
    transition: 0.3s;
}

.popup-animation {
    animation: fadeIn 0.3s ease-in forwards;
}

@keyframes fadeIn {
    0% {
        visibility: hidden;
        opacity: 0;
    }
    20% {
        visibility: visible;
        opacity: 0;
    }
    100% {
        visibility: visible;
        opacity: 1;
    }
}

.popup {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 30%;
    background: #fff;
    box-shadow: 4px 4px 5px rgba(82, 82, 82, .4);
    border-radius: 5px;
}

.popup h3 {
    padding: 20px;
}

.popup-info {
    margin-bottom: 20px;
}

.popup-body {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 90%;
    padding: 10px;
}

.popup-input {
    width: 100%;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    color: var(--light-dark);
    background-color: var(--light);
}

.popup-bttns {
    width: 100%;
    height: 100px;

    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.popup-btn {
    width: 200px;
    display: inline-block;
    padding: 10px 22px;
    border: none;
    border-radius: 5px;
    color: var(--deep-dark);
    background-color: var(--light);
    text-transform: uppercase;
    cursor: pointer;
    transition: color .3s, background-color .3s;
}

.popup-btn:hover {
    color: #fff;
    background-color: var(--light-blue);
}

.cookies_screen {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    height: 100vh;
    width: 100%;

    z-index: 3;

    background-color:rgba(0, 0, 0, 0.7);
    transition: 0.3s;
}

.cookies {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);

    width: 40%;
    height: 60%;

    background: #fff;
    box-shadow: 4px 4px 5px rgba(82, 82, 82, .4);
    border-radius: 5px;

    display: flex;
    flex-direction: column;
}

.cookies_img {
    height: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cookies_img img {
    height: 80%;
}

.cookies_content {
    height: 60%;

    display: flex;
    flex-direction: column;

}

.cookies_header {
    font-size: 175%;
    font-weight: bold;
    height: 20%;
    letter-spacing: 5px;

    text-align: center;
}

.cookies_info {
    height: 50%;
    text-align: center;
    padding: 0 10% 0 10%;
}

.cookies_button {
    height: 30%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cookies_button_btn {
    background-color: var(--deep-dark);
    padding: 10px 20px 10px 20px;
    color: var(--light);
    border: 3px solid var(--deep-dark);

    cursor: pointer;
    transition: 0.3s;
}

.cookies_button_btn:hover {
    background-color: #fff;
    color: var(--deep-dark);
    border: 3px solid var(--deep-dark);

    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

@media screen and (max-width: 1090px) {
    body {
        font-size: 1.3rem;
    }
    .emptyDiv {
        display: none;
    }
    .todo {
        min-height: 95vh;
    }
    .container {
        width: 100%;
    }
    .header {
        border-radius: 0;
        min-height: 100%;
    }
    .btn-add:hover {
        color: var(--deep-dark);
        background-color: var(--light);
    }
    .tools button:hover {
        background-color: transparent;
    }
    .popup {
        width: 90%;
    }
    .popup-btn {
        width: auto;
    }
    .footer {
        width: 100%;
        height: 40px;
        font-size: 75%;
    }
    .cookies {
        width: 90%;
        height: 60%;
    }
    .cookies_info {
        font-size: 75%;
    }
}